15 Dec

Exchange 2007 & 2010 problems after installing KB2506146 or KB2506143

Microsoft recently released KB2506146 and KB2506143 as optional updates depending on your which server version you are running (2008 SP2 or 2008 R2 SP1)

The update includes Windows Management Framework 3.0 and more specifically PowerShell 3.0 which is not supported on either Exchange 2007 or Exchange 2010. There have been reports of it causing issues with the installation of rollups resulting in an error code of “1603” appearing in the event log.

It is recommended that Windows Management Framework 3.0 should not be installed on servers running either Exchange 2007 or Exchange 2010. Uninstalling Windows Management Framework 3.0 reportedly fixes the issues.

Leave a Reply

Your email address will not be published. Required fields are marked *